DataLazy.cpp File Reference
`#include "DataLazy.h"`
`#include "Data.h"`
`#include "DataTypes.h"`
`#include "EscriptParams.h"`
`#include "FunctionSpace.h"`
`#include "Utils.h"`
`#include "DataVectorOps.h"`
`#include <iomanip>`

## Namespaces

| escript

## Macros

#define | NO_ARG
#define | LAZYDEBUG(X)
#define | ENABLEDEBUG privdebug=true;
#define | DISABLEDEBUG privdebug=false;
#define | SIZELIMIT

## Functions

DataLazy_ptr | escript::makePromote (DataLazy_ptr p)

## Macro Definition Documentation

## DISABLEDEBUG

#define DISABLEDEBUG privdebug=false;

## ENABLEDEBUG

#define ENABLEDEBUG privdebug=true;

## LAZYDEBUG

#define LAZYDEBUG | ( |  | X | ) |

## NO_ARG

#define NO_ARG

## SIZELIMIT

#define SIZELIMIT

Value:
if (m_height > escript::escriptParams.getTooManyLevels()) {\
if (escript::escriptParams.getLazyVerbose()) {\
cerr << "SIZE LIMIT EXCEEDED height=" << m_height << endl;\
}\
resolveToIdentity();\
}
escript::escriptParams
EscriptParams escriptParams
Definition: EscriptParams.cpp:29